<?php
 /***************************************  top      *****************************/
 require("header.php");

 /***************************************  数据处理      *****************************/

 InitGP(array('action','title','t',),'',false);

 
 $web_name = channel_site_title(0);

 $title_1 = '福州便民查询工具';

 $channel_site = '<a href="/'.$self_template.'.php">'.$title_1.'</a>';

 if ($action) $outStr = webLocalTool($action,$str);

 if ($title) {
 	switch ($title) {
 		case 1:
 			$menu[1] = $title = '福州交通车辆违规查询';
 			break;
 			case 2:
 			$menu[2] = $title = '驾驶证积分查询';
 			break;
 			case 3:
 			$menu[3] = $title = '福州地图查询';
 			break;
 		default:
 			break;
 	}
 	$channel_site .=   ' >>> '.$title ;
 	$title .= ' - '.$title_1 ;
 }else $title = $title_1;

 $web_name = $title.$web_name;

 $header_Keywords =  $title_1.','. $header_Keywords;

 //DELETE FROM qhouse_rental WHERE r_intermediary_offon='0' AND r_audit='0' AND r_uptimes<'1211990400';
 /***************************************  开始替换       *****************************/


 $html_content = html_exp('{action}', $action ,$html_content);
 $html_content = html_exp('{title}', $title ,$html_content);
 $html_content = html_exp('{Content}', $outStr ,$html_content);



 /***************************************  FOOT       *****************************/

 require(R_P."footer.php");



 /***************************************   function       *****************************/
 function webLocalTool($action,$str){
 	global $title;
 	switch ($action){
 		case 'car':
 			global $t;
 			require(R_P."tool/violation_car.php");
 			break;

 		case 'fuzhou_map':
 			require(R_P."tool/fuzhou_map.php");
 			break;

 		case 'date':
 			$outStr = date('Y-m-d',$str);
 			break;

 		case 'jurl':
 			$outStr =  '<head><meta http-equiv="REFRESH" content="0; url='.urldecode($str).'hml"></head> ';
 			break;

 		case 'md5':
 			$outStr = md5($str);
 			break;

 	}
 	//return $outStr = str_repeat('+',60).'<br><br>查询结果:<br><br>'.$outStr ;
 	return $outStr;
 }



 function g_charset_Conversion($data){
 	require(R_P.'require/chinese.php');
 	$chs = new Chinese('gb2312','utf-8');
 	$data = $chs->Convert($data);
 	return $data;
 }
?>